# OpalSetLocalPresenceCommand Class Reference

`#include <pres_ent.h>`

Inheritance diagram for OpalSetLocalPresenceCommand:

[legend]
Collaboration diagram for OpalSetLocalPresenceCommand:
[legend]

## Public Member Functions

| OpalSetLocalPresenceCommand (State state=NoPresence)

## Detailed Description

Command for adusting our current status. This action typically causes all presentities to be notified of the change. The mechanism by which this happens is dependent on the concrete OpalPresentity class and it's underlying protocol.

## Constructor & Destructor Documentation

OpalSetLocalPresenceCommand::OpalSetLocalPresenceCommand | ( | State | state = `NoPresence` | ) | `[inline]`

The documentation for this class was generated from the following file:

- pres_ent.h